/***********************************************************************
This module contains 2 FifoIc2047x9 in parallel,
so the width becomes 18. 
***********************************************************************/
`timescale 1ns / 10ps
`define FIFO18_DATA_WIDTH 17:0

module FifoIc2047x18
      (read_clock_in,   write_clock_in, read_enable_in, 
       write_enable_in, fifo_gsr_in,    write_data_in, 
       read_data_out,   fifostatus_out, full_out, empty_out);
      
input read_clock_in, write_clock_in,
      read_enable_in, write_enable_in, fifo_gsr_in;
input  [`FIFO18_DATA_WIDTH] write_data_in;
output [`FIFO18_DATA_WIDTH] read_data_out;
output [3:0] fifostatus_out;
output full_out, empty_out;

FifoIc2047x9 fifoA (
    .read_clock_in(read_clock_in), 
    .write_clock_in(write_clock_in), 
    .read_enable_in(read_enable_in), 
    .write_enable_in(write_enable_in), 
    .fifo_gsr_in(fifo_gsr_in), 
    .write_data_in(write_data_in[17:9]), 
    .read_data_out(read_data_out[17:9]), 
    .fifostatus_out(fifostatus_out), 
    .full_out(full_out), 
    .empty_out(empty_out)      );

FifoIc2047x9 fifoB (
    .read_clock_in(read_clock_in), 
    .write_clock_in(write_clock_in), 
    .read_enable_in(read_enable_in), 
    .write_enable_in(write_enable_in), 
    .fifo_gsr_in(fifo_gsr_in), 
    .write_data_in(write_data_in[8:0]), 
    .read_data_out(read_data_out[8:0]), 
    .fifostatus_out(), 
    .full_out(), 
    .empty_out()      );

endmodule